Bug 1196147 - (CVE-2022-25308) VUL-0: CVE-2022-25308: fribidi: Stack out of bounds read
(CVE-2022-25308)
VUL-0: CVE-2022-25308: fribidi: Stack out of bounds read
Status: IN_PROGRESS
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/324094/
CVSSv3.1:SUSE:CVE-2022-25308:6.1:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-02-18 10:51 UTC by Carlos López
Modified: 2022-06-09 13:23 UTC (History)
3 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos López 2022-02-18 10:51:03 UTC
rh#2047890

A stack based buffer overflow was found in fribidi.

References:

https://github.com/fribidi/fribidi/issues/181

References:
https://bugzilla.redhat.com/show_bug.cgi?id=2047890
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2022-25308
Comment 1 Carlos López 2022-02-18 10:53:24 UTC
Affected:
 - SUSE:SLE-11:Update
 - SUSE:SLE-12:Update
 - SUSE:SLE-15:Update
 - SUSE:SLE-15-SP2:Update
 - SUSE:SLE-15-SP4:Update
 - openSUSE:Factory

Fix PR:
https://github.com/fribidi/fribidi/pull/184
Comment 4 Swamp Workflow Management 2022-05-25 19:15:42 UTC
SUSE-SU-2022:1844-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1196147,1196148,1196150
CVE References: CVE-2022-25308,CVE-2022-25309,CVE-2022-25310
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    fribidi-1.0.5-150200.3.6.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    fribidi-1.0.5-150200.3.6.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    fribidi-1.0.5-150200.3.6.1
SUSE Linux Enterprise Micro 5.2 (src):    fribidi-1.0.5-150200.3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2022-05-25 19:17:16 UTC
SUSE-SU-2022:1845-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1196147,1196148,1196150
CVE References: CVE-2022-25308,CVE-2022-25309,CVE-2022-25310
JIRA References: 
Sources used:
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    fribidi-0.19.2-14.3.1
SUSE Linux Enterprise Server 12-SP5 (src):    fribidi-0.19.2-14.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2022-05-31 19:15:49 UTC
SUSE-SU-2022:1898-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1196147,1196148,1196150
CVE References: CVE-2022-25308,CVE-2022-25309,CVE-2022-25310
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    fribidi-1.0.10-150400.3.3.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP4 (src):    fribidi-1.0.10-150400.3.3.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    fribidi-1.0.10-150400.3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2022-06-09 13:23:17 UTC
SUSE-SU-2022:2029-1: An update that fixes three vulnerabilities is now available.

Category: security (moderate)
Bug References: 1196147,1196148,1196150
CVE References: CVE-2022-25308,CVE-2022-25309,CVE-2022-25310
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    fribidi-0.19.6-150000.3.3.1
SUSE Linux Enterprise Server for SAP 15 (src):    fribidi-0.19.6-150000.3.3.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    fribidi-0.19.6-150000.3.3.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    fribidi-0.19.6-150000.3.3.1
SUSE Linux Enterprise Server 15-LTSS (src):    fribidi-0.19.6-150000.3.3.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    fribidi-0.19.6-150000.3.3.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    fribidi-0.19.6-150000.3.3.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    fribidi-0.19.6-150000.3.3.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    fribidi-0.19.6-150000.3.3.1
SUSE Enterprise Storage 6 (src):    fribidi-0.19.6-150000.3.3.1
SUSE CaaS Platform 4.0 (src):    fribidi-0.19.6-150000.3.3.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.